summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/functest/docu-build.sh80
-rw-r--r--jjb/functest/functest.yml42
-rw-r--r--jjb/opnfvdocs/docu-build.sh26
-rw-r--r--jjb/opnfvdocs/opnfvdocs.yml31
4 files changed, 79 insertions, 100 deletions
diff --git a/jjb/functest/docu-build.sh b/jjb/functest/docu-build.sh
deleted file mode 100644
index 057cc97d1..000000000
--- a/jjb/functest/docu-build.sh
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/bin/bash
-set -e
-set -o pipefail
-
-project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
-export PATH=$PATH:/usr/local/bin/
-
-git_sha1="$(git rev-parse HEAD)"
-docu_build_date="$(date)"
-
-if [[ $JOB_NAME =~ "verify" ]] ; then
- patchset="/$GERRIT_CHANGE_NUMBER"
-fi
-
-files=()
-while read -r -d ''; do
- files+=("$REPLY")
-done < <(find * -type f -iname '*.rst' -print0)
-
-for file in "${{files[@]}}"; do
-
- file_cut="${{file%.*}}"
- gs_cp_folder="${{file_cut}}"
-
- # sed part
- sed -i "s/_sha1_/$git_sha1/g" $file
- sed -i "s/_date_/$docu_build_date/g" $file
-
- # rst2html part
- echo "rst2html $file"
- rst2html $file | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html
- gsutil setmeta -h "Content-Type:text/html" \
- -h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html
- cat gsoutput.txt
- rm -f gsoutput.txt
-
- echo "rst2pdf $file"
- rst2pdf $file -o - | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf
- gsutil setmeta -h "Content-Type:application/pdf" \
- -h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf
- cat gsoutput.txt
- rm -f gsoutput.txt
-
- links+="http://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html \n"
- links+="http://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf \n"
-
-done
-
-images=()
-while read -r -d ''; do
- images+=("$REPLY")
-done < <(find * -type f \( -iname \*.jpg -o -iname \*.png \) -print0)
-
-for img in "${{images[@]}}"; do
-
- # uploading found images
- echo "uploading $img"
- cat "$img" | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
- gsutil setmeta -h "Content-Type:image/jpeg" \
- -h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
- cat gsoutput.txt
- rm -f gsoutput.txt
-
-done
-
-if [[ $GERRIT_EVENT_TYPE = "change-merged" ]] ; then
- patchset="/$GERRIT_CHANGE_NUMBER"
- if [ ! -z "$patchset" ]; then
- gsutil rm gs://artifacts.opnfv.org/"$project""$patchset"/** || true
- fi
-fi
-
-echo -e "$links"
-
diff --git a/jjb/functest/functest.yml b/jjb/functest/functest.yml
index fb9f5a6c2..9412bc2a0 100644
--- a/jjb/functest/functest.yml
+++ b/jjb/functest/functest.yml
@@ -16,7 +16,7 @@
- 'functest-odl-test-{pod}'
- 'functest-vims-test-{pod}'
- 'functest-vping-test-{pod}'
- - 'functest-daily-master'
+ - 'functest-daily-{stream}'
- 'functest-merge'
- 'functest-verify-{stream}'
@@ -25,8 +25,10 @@
stream:
- master:
branch: 'master'
+ gs-pathname: ''
- stable-arno:
branch: 'stable/arno'
+ gs-pathname: '/arno'
project: 'functest'
somevar: 'foo'
@@ -226,7 +228,7 @@
- 'functest-all'
- job-template:
- name: 'functest-daily-master'
+ name: 'functest-daily-{stream}'
node: master
@@ -248,26 +250,28 @@
parameters:
- project-parameter:
project: '{project}'
+ - functest-parameter:
+ gs-pathname: '{gs-pathname}'
scm:
- git-scm:
credentials-id: '{ssh-credentials}'
refspec: ''
- branch: master
+ branch: '{stream}'
wrappers:
- ssh-agent-credentials:
user: '{ssh-credentials}'
triggers:
- - timed: 'H H * * *'
+ - 'functest-{stream}'
prebuilders:
- test-macro
builders:
- shell:
- !include-raw docu-build.sh
+ !include-raw ../opnfvdocs/docu-build.sh
postbuilders:
- test-macro
@@ -321,7 +325,7 @@
builders:
- shell:
- !include-raw docu-build.sh
+ !include-raw ../opnfvdocs/docu-build.sh
- job-template:
name: 'functest-merge'
@@ -371,7 +375,31 @@
builders:
- shell:
- !include-raw docu-build.sh
+ !include-raw ../opnfvdocs/docu-build.sh
+
+########################
+# parameter macros
+########################
+- parameter:
+ name: functest-parameter
+ parameters:
+ - string:
+ name: GS_PATHNAME
+ default: '{gs-pathname}'
+ description: "Version directory where the opnfv documents will be stored in gs repository"
+
+########################
+# trigger macros
+########################
+- trigger:
+ name: 'functest-master'
+ triggers:
+ - pollscm: "H 9 * * *"
+
+- trigger:
+ name: 'functest-stable-arno'
+ triggers:
+ - pollscm: "H 21 * * *"
# macros
- builder:
diff --git a/jjb/opnfvdocs/docu-build.sh b/jjb/opnfvdocs/docu-build.sh
index 057cc97d1..8681190e2 100644
--- a/jjb/opnfvdocs/docu-build.sh
+++ b/jjb/opnfvdocs/docu-build.sh
@@ -9,7 +9,9 @@ git_sha1="$(git rev-parse HEAD)"
docu_build_date="$(date)"
if [[ $JOB_NAME =~ "verify" ]] ; then
- patchset="/$GERRIT_CHANGE_NUMBER"
+ subdir="/$GERRIT_CHANGE_NUMBER"
+else
+ subdir="$GS_PATHNAME"
fi
files=()
@@ -29,24 +31,24 @@ for file in "${{files[@]}}"; do
# rst2html part
echo "rst2html $file"
rst2html $file | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".html
gsutil setmeta -h "Content-Type:text/html" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".html
cat gsoutput.txt
rm -f gsoutput.txt
echo "rst2pdf $file"
rst2pdf $file -o - | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".pdf
gsutil setmeta -h "Content-Type:application/pdf" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".pdf
cat gsoutput.txt
rm -f gsoutput.txt
- links+="http://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".html \n"
- links+="http://artifacts.opnfv.org/"$project""$patchset"/"$gs_cp_folder".pdf \n"
+ links+="http://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".html \n"
+ links+="http://artifacts.opnfv.org/"$project""$subdir"/"$gs_cp_folder".pdf \n"
done
@@ -60,19 +62,19 @@ for img in "${{images[@]}}"; do
# uploading found images
echo "uploading $img"
cat "$img" | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$img"
gsutil setmeta -h "Content-Type:image/jpeg" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
+ gs://artifacts.opnfv.org/"$project""$subdir"/"$img"
cat gsoutput.txt
rm -f gsoutput.txt
done
if [[ $GERRIT_EVENT_TYPE = "change-merged" ]] ; then
- patchset="/$GERRIT_CHANGE_NUMBER"
- if [ ! -z "$patchset" ]; then
- gsutil rm gs://artifacts.opnfv.org/"$project""$patchset"/** || true
+ subdir="/$GERRIT_CHANGE_NUMBER"
+ if [ ! -z "$subdir" ]; then
+ gsutil rm gs://artifacts.opnfv.org/"$project""$subdir"/** || true
fi
fi
diff --git a/jjb/opnfvdocs/opnfvdocs.yml b/jjb/opnfvdocs/opnfvdocs.yml
index 6e7b40bf2..da9f13cf4 100644
--- a/jjb/opnfvdocs/opnfvdocs.yml
+++ b/jjb/opnfvdocs/opnfvdocs.yml
@@ -10,6 +10,10 @@
stream:
- master:
branch: 'master'
+ gs-pathname: ''
+ - stable-arno:
+ branch: 'stable/arno'
+ gs-pathname: '/arno'
project: 'opnfvdocs'
@@ -35,6 +39,8 @@
parameters:
- project-parameter:
project: '{project}'
+ - opnfvdocs-parameter:
+ gs-pathname: '{gs-pathname}'
scm:
- git-scm:
@@ -47,7 +53,7 @@
user: '{ssh-credentials}'
triggers:
- - timed: 'H H * * *'
+ - 'opnfvdocs-{stream}'
builders:
- shell:
@@ -154,3 +160,26 @@
- shell:
!include-raw docu-build.sh
+########################
+# parameter macros
+########################
+- parameter:
+ name: opnfvdocs-parameter
+ parameters:
+ - string:
+ name: GS_PATHNAME
+ default: '{gs-pathname}'
+ description: "Version directory where the opnfv documents will be stored in gs repository"
+
+########################
+# trigger macros
+########################
+- trigger:
+ name: 'opnfvdocs-master'
+ triggers:
+ - pollscm: "H 9 * * *"
+
+- trigger:
+ name: 'opnfvdocs-stable-arno'
+ triggers:
+ - pollscm: "H 21 * * *"